.\"     $NetBSD: _lwp_setname.2,v 1.1 2007/12/14 21:52:18 yamt Exp $
.\"
.\" Copyright (c)2007 YAMAMOTO Takashi,
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" ------------------------------------------------------------
.Dd December 15, 2007
.Dt _LWP_SETNAME 2
.Os
.Sh NAME
.Nm _lwp_setname
.Nd set descriptive name of an LWP
.\" ------------------------------------------------------------
.Sh LIBRARY
.Lb libc
.\" ------------------------------------------------------------
.Sh SYNOPSIS
.In lwp.h
.Ft int
.Fn _lwp_setname "lwpid_t target" "const char *name"
.\" ------------------------------------------------------------
.Sh DESCRIPTION
.Fn _lwp_setname
sets the descriptive name of the LWP.
It takes the following arguments.
.Bl -tag -width target
.It Fa target
The LWP whose descriptive name will be set.
.It Fa name
The string to be used as the descriptive name of the LWP.
.El
.Pp
The name is used by
.Xr top 1
when showing LWPs, for example.
.\" ------------------------------------------------------------
.Sh RETURN VALUES
.Fn _lwp_setname
returns 0 on success.
Otherwise, \-1 is returned and
.Va errno
is set to indicate the error.
.\" ------------------------------------------------------------
.\".Sh ERRORS
.\" ------------------------------------------------------------
.Sh SEE ALSO
.Xr ps 1 ,
.Xr top 1 ,
.Xr _lwp_getname 2 ,
.Xr errno 2
